<?php

namespace EscapeWork\Manager\Generators;

class SchemaParser
{

    protected $schema = [];

    public function __construct($schema)
    {
        $schema = $this->parse($schema);
        // schema => schema['field'] => whatever
        // $this->populateSchema($schema);
        // $this->schema = ['title', 'body', etc]
    }

    public function getFields()
    {
        return $this->schema;
    }

    protected function parse($schema)
    {
        $fields  = [];
        $schemas = explode(',', $schema);

        foreach ($schemas as $schema) {
            preg_match("/(.+)(?=\:)/", $schema, $matches);
            $field = trim($matches[0]);
            $fields[$field] = null;
        }

        $this->schema = array_keys($fields);
    }

}